## libksieve 25.07.90

=== debian/changelog ===
libksieve (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:00:12 +0100

=== debian/control ===
Source: libksieve
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libkdepim-dev (>= 4:25.07.90~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6colorscheme-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6newstuff-dev (>= 6.6.0~),
               libkf6sonnet-dev (>= 6.6.0~),
               libkf6syntaxhighlighting-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.07.90~),
               libkimap-dev (>= 25.07.90~),
               libkmailtransport-dev (>= 25.07.90~),
               libkmime-dev (>= 25.07.90~),
               libktextaddons-dev (>= 1.5.4~),
               libpimcommon-dev (>= 4:25.07.90~),
               libsasl2-dev,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/libksieve
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksieve
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksieve
Rules-Requires-Root: no

Package: libksieve-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5ksieve-data,
Replaces: libkf5ksieve-data,
Description: Sieve mail filtering language support for kdepim, data files
 This library implements a parser and lexer for Sieve, the mail filtering
 language (RFC 3028).
 .
 This package is part of the KDE PIM module.
 .
 This package provides the data files common to the kf5ksieve libraries.

Package: libksieve-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libkf6syntaxhighlighting-dev (>= 6.6.0~),
         libkpim6kmanagesieve6 (= ${binary:Version}),
         libkpim6ksieve6 (= ${binary:Version}),
         libkpim6ksievecore6 (= ${binary:Version}),
         libkpim6ksieveui6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Sieve mail filtering language support for kdepim, development files
 This library implements a parser and lexer for Sieve, the mail filtering
 language (RFC 3028).
 .
 This package contains development files for ksieve.

Package: libkpim6kmanagesieve6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libksieve-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Sieve remote script management support for kdepim, library
 This library implements a subset of the protocol for remotely managing Sieve
 scripts (RFC 5804). Among other basic operations, it provides an easy to use
 API for listing, retrieving, deleting, activating and uploading of scripts to
 the remote Sieve script server.
 .
 This package is part of the KDE PIM module.

Package: libkpim6ksieve6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libksieve-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Sieve mail filtering language support for kdepim, library
 This library implements a parser and lexer for Sieve, the mail filtering
 language (RFC 3028).
 .
 This package is part of the KDE PIM module.

Package: libkpim6ksievecore6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libksieve-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Sieve mail filtering language support for kdepim, core library
 This library implements the core services for libksieve.
 .
 This package is part of the KDE PIM module.

Package: libkpim6ksieveui6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libksieve-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Sieve mail filtering language support for kdepim, GUI library
 This library implements GUI dialogs and elements which enable users to easily
 create, edit and manage their mail filters on the mail servers which support
 the Sieve language (RFC 3028) and the protocol for remotely managing Sieve
 scripts (RFC 5804).
 .
 This package is part of the KDE PIM module.

## libksieve 25.08.0

=== debian/changelog ===
libksieve (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:59:15 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkdepim-dev (>= 4:25.07.90~),
+               libkdepim-dev (>= 4:25.08.0~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6colorscheme-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
@@ -20,12 +20,12 @@
                libkf6newstuff-dev (>= 6.6.0~),
                libkf6sonnet-dev (>= 6.6.0~),
                libkf6syntaxhighlighting-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.90~),
-               libkimap-dev (>= 25.07.90~),
-               libkmailtransport-dev (>= 25.07.90~),
-               libkmime-dev (>= 25.07.90~),
+               libkidentitymanagement-dev (>= 25.08.0~),
+               libkimap-dev (>= 25.08.0~),
+               libkmailtransport-dev (>= 25.08.0~),
+               libkmime-dev (>= 25.08.0~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.07.90~),
+               libpimcommon-dev (>= 4:25.08.0~),
                libsasl2-dev,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## libksieve 25.08.1

=== src/ksieve/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

ecm_setup_version(PROJECT VARIABLE_PREFIX LIBKSIEVE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libksieve_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6KSieveConfigVersion.cmake"
                        SOVERSION 6
)

add_library(KPim6KSieve)
add_library(KPim6::KSieve ALIAS KPim6KSieve)

target_sources(
    KPim6KSieve
    PRIVATE
        utf8validator.cpp
        utf8validator.h
        lexer.cpp
        lexer_p.h
        lexer.h
        parser.cpp
        parser.h
        parser_p.h
        error.cpp
        error.h
)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6KSieve
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
generate_export_header(KPim6KSieve BASE_NAME ksieve)

target_link_libraries(
    KPim6KSieve
    PRIVATE
        Qt::Core
        KF6::I18n
)

set_target_properties(
    KPim6KSieve
    PROPERTIES
        VERSION
            ${LIBKSIEVE_VERSION}
        SOVERSION
            ${LIBKSIEVE_SOVERSION}
        EXPORT_NAME
            KSieve
)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6KSieve")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimKSieveConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6KSieveConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6KSieveConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6KSieveConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6KSieveTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6KSieveTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/libksieve_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KSieve
    COMPONENT Devel
)

target_include_directories(
    KPim6KSieve
    PUBLIC
        "$<BUILD_INTERFACE:${libksieve_SOURCE_DIR}/src;${libksieve_BINARY_DIR}/src>"
)
install(TARGETS KPim6KSieve EXPORT KPim6KSieveTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/ksieveui/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

ecm_setup_version(PROJECT VARIABLE_PREFIX LIBKSIEVEUI
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libksieveui_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6KSieveUiConfigVersion.cmake"
                        SOVERSION 6
)

add_library(KPim6KSieveUi)
add_library(KPim6::KSieveUi ALIAS KPim6KSieveUi)
if(KDEPIM_ENTERPRISE_BUILD)
    set(USE_GRAPHICAL_SIEVE_EDITOR true)
else()
    set(USE_GRAPHICAL_SIEVE_EDITOR false)
endif()

configure_file(settings/sieve-editor.kcfg.in ${CMAKE_CURRENT_BINARY_DIR}/sieve-editor.kcfg)

if(BUILD_TESTING)
    add_subdirectory(editor/tests)
    add_subdirectory(editor/autotests)
    add_subdirectory(autocreatescripts/tests)
    add_subdirectory(vacation/autotests)
    add_subdirectory(scriptsparsing/tests)
    add_subdirectory(sievescriptdebugger/autotests)
    add_subdirectory(sievescriptdebugger/tests)
    add_subdirectory(autocreatescripts/autotests/)
    add_subdirectory(editor/webengine/findbar/autotests/)
    add_subdirectory(editor/webengine/autotests/)
    add_subdirectory(widgets/autotests)
endif()

target_sources(
    KPim6KSieveUi
    PRIVATE
        vacation/vacationmaillineedit.cpp
        vacation/vacationeditwidget.cpp
        vacation/multiimapvacationdialog.cpp
        vacation/vacationpagewidget.cpp
        vacation/vacationwarningwidget.cpp
        vacation/vacationmanager.cpp
        vacation/vacationmailactionwidget.cpp
)
target_sources(
    KPim6KSieveUi
    PRIVATE
        editor/webengine/sieveeditorwebengineview.cpp
        editor/webengine/sieveeditorhelphtmlwidget.cpp
        editor/webengine/sieveeditorloadprogressindicator.cpp
        editor/webengine/findbar/findbarbase.cpp
        editor/webengine/findbar/findbarwebengineview.cpp
)

target_sources(
    KPim6KSieveUi
    PRIVATE
        editor/sieveeditorwidget.cpp
        editor/sievetextedit.cpp
        editor/sieveeditor.cpp
        editor/sievelinenumberarea.cpp
        editor/sieveinfowidget.cpp
        editor/sieveeditortextmodewidget.cpp
        editor/sieveeditorabstractwidget.cpp
        editor/warningwidget/sieveeditorwarning.cpp
        editor/warningwidget/sieveeditorparsingmissingfeaturewarning.cpp
        editor/sieveeditortabwidget.cpp
        editor/sieveeditorutil.cpp
        editor/sieveeditormenubar.cpp
        editor/sievetexteditorspellcheckdecorator.cpp
        editor/sievetexteditwidget.cpp
        editor/sieveinfodialog.cpp
        editor/sievepurposemenuwidget.cpp
        editor/sievepurposemenuwidget.h
)

target_sources(
    KPim6KSieveUi
    PRIVATE
        autocreatescripts/sievepreviewgeneratedcodewidget.cpp
        autocreatescripts/sieveeditorgraphicalmodewidgetabstract.cpp
        autocreatescripts/sievescriptparsingerrordialog.cpp
        autocreatescripts/sieveeditorgraphicalmodewidget.cpp
        autocreatescripts/autocreatescriptdialog.cpp
        autocreatescripts/sieveconditionwidgetlister.cpp
        autocreatescripts/sievescriptlistbox.cpp
        autocreatescripts/sievescriptdescriptiondialog.cpp
        autocreatescripts/sieveactionwidgetlister.cpp
        autocreatescripts/sievescriptpage.cpp
        autocreatescripts/sievescriptblockwidget.cpp
        autocreatescripts/sievescripttabwidget.cpp
        autocreatescripts/autocreatescriptutil.cpp
        autocreatescripts/sieveincludewidget.cpp
        autocreatescripts/sieveforeverypartwidget.cpp
        autocreatescripts/sievewidgetpageabstract.cpp
        autocreatescripts/sieveglobalvariablewidget.cpp
        autocreatescripts/sieveactions/sieveactionlist.cpp
        autocreatescripts/sieveactions/sieveaction.cpp
        autocreatescripts/sieveactions/sieveactiondiscard.cpp
        autocreatescripts/sieveactions/sieveactionstop.cpp
        autocreatescripts/sieveactions/sieveactionsetflags.cpp
        autocreatescripts/sieveactions/sieveactionaddflags.cpp
        autocreatescripts/sieveactions/sieveactionfileinto.cpp
        autocreatescripts/sieveactions/sieveactionreject.cpp
        autocreatescripts/sieveactions/sieveactionkeep.cpp
        autocreatescripts/sieveactions/sieveactionredirect.cpp
        autocreatescripts/sieveactions/sieveactionabstractflags.cpp
        autocreatescripts/sieveactions/sieveactionremoveflags.cpp
        autocreatescripts/sieveactions/sieveactionnotify.cpp
        autocreatescripts/sieveactions/sieveactionabstracteditheader.cpp
        autocreatescripts/sieveactions/sieveactiondeleteheader.cpp
        autocreatescripts/sieveactions/sieveactionaddheader.cpp
        autocreatescripts/sieveactions/sieveactionvacation.cpp
        autocreatescripts/sieveactions/sieveactionenclose.cpp
        autocreatescripts/sieveactions/sieveactionreplace.cpp
        autocreatescripts/sieveactions/sieveactionextracttext.cpp
        autocreatescripts/sieveactions/sieveactionbreak.cpp
        autocreatescripts/sieveactions/sieveactionconvert.cpp
        autocreatescripts/sieveactions/sieveactionsetvariable.cpp
        autocreatescripts/sieveactions/sieveactionreturn.cpp
        autocreatescripts/sieveactions/sieveactionereject.cpp
        autocreatescripts/sieveactions/widgets/selectflagswidget.cpp
        autocreatescripts/sieveactions/widgets/addresslineedit.cpp
        autocreatescripts/sieveactions/widgets/selectaddheaderpositioncombobox.cpp
        autocreatescripts/sieveactions/widgets/selectimportancecombobox.cpp
        autocreatescripts/sieveactions/widgets/multilineedit.cpp
        autocreatescripts/sieveactions/widgets/selectvacationcombobox.cpp
        autocreatescripts/sieveactions/widgets/selectvariablemodifiercombobox.cpp
        autocreatescripts/commonwidgets/selectconvertparameterwidget.cpp
        autocreatescripts/commonwidgets/selectmatchtypecombobox.cpp
        autocreatescripts/commonwidgets/selectmimetypecombobox.cpp
        autocreatescripts/commonwidgets/sievehelpbutton.cpp
        autocreatescripts/commonwidgets/sievecommonactioncondition.cpp
        autocreatescripts/sieveconditions/sievecondition.cpp
        autocreatescripts/sieveconditions/sieveconditionheader.cpp
        autocreatescripts/sieveconditions/sieveconditionlist.cpp
        autocreatescripts/sieveconditions/sieveconditionaddress.cpp
        autocreatescripts/sieveconditions/sieveconditionsize.cpp
        autocreatescripts/sieveconditions/sieveconditionenvelope.cpp
        autocreatescripts/sieveconditions/sieveconditionexists.cpp
        autocreatescripts/sieveconditions/sieveconditiontrue.cpp
        autocreatescripts/sieveconditions/sieveconditionbody.cpp
        autocreatescripts/sieveconditions/sieveconditiondate.cpp
        autocreatescripts/sieveconditions/sieveconditioncurrentdate.cpp
        autocreatescripts/sieveconditions/sieveconditionmailboxexists.cpp
        autocreatescripts/sieveconditions/sieveconditionspamtest.cpp
        autocreatescripts/sieveconditions/sieveconditionvirustest.cpp
        autocreatescripts/sieveconditions/sieveconditionihave.cpp
        autocreatescripts/sieveconditions/sieveconditionfalse.cpp
        autocreatescripts/sieveconditions/sieveconditionenvironment.cpp
        autocreatescripts/sieveconditions/sieveconditionhasflag.cpp
        autocreatescripts/sieveconditions/sieveconditionmetadata.cpp
        autocreatescripts/sieveconditions/sieveconditionconvert.cpp
        autocreatescripts/sieveconditions/sieveconditionmetadataexists.cpp
        autocreatescripts/sieveconditions/sieveconditionservermetadata.cpp
        autocreatescripts/sieveconditions/sieveconditionservermetadataexists.cpp
        autocreatescripts/sieveconditions/widgets/selectdatewidget.cpp
        autocreatescripts/sieveconditions/widgets/selectaddresspartcombobox.cpp
        autocreatescripts/sieveconditions/widgets/selectheadertypecombobox.cpp
        autocreatescripts/sieveconditions/widgets/selectbodytypewidget.cpp
        autocreatescripts/sieveconditions/widgets/selectrelationalmatchtype.cpp
        autocreatescripts/sieveconditions/widgets/selectcomparatorcombobox.cpp
        autocreatescripts/sieveconditions/widgets/selectmimecombobox.cpp
        autocreatescripts/sieveconditions/widgets/selectsizetypecombobox.cpp
        autocreatescripts/sieveconditions/widgets/selectsizewidget.cpp
        autocreatescripts/sieveconditions/widgets/sievedatespinbox.cpp
        autocreatescripts/sieveconditions/widgets/regexpeditorlineedit.cpp
)

target_sources(KPim6KSieveUi PRIVATE scriptsparsing/parsingresultdialog.cpp)

target_sources(
    KPim6KSieveUi
    PRIVATE
        sievescriptdebugger/sievescriptdebuggerdialog.cpp
        sievescriptdebugger/sievescriptdebuggerwidget.cpp
        sievescriptdebugger/sievescriptdebuggerfrontendwidget.cpp
        sievescriptdebugger/sievescriptdebuggerwarning.cpp
        sievescriptdebugger/sievescriptdebuggertextedit.cpp
        sievescriptdebugger/sievescriptdebuggerresulteditor.cpp
)

target_sources(
    KPim6KSieveUi
    PRIVATE
        widgets/custommanagesievewidget.cpp
        widgets/sievetreewidgetitem.cpp
        widgets/managesievetreeview.cpp
        widgets/managesievewidget.cpp
        widgets/abstractmoveimapfolderwidget.cpp
        widgets/abstractregexpeditorlineedit.cpp
        widgets/abstractselectemaillineedit.cpp
        widgets/lineeditvalidator.cpp
        widgets/includefilelineedit.cpp
        widgets/moveimapfolderwidget.cpp
)

target_sources(
    KPim6KSieveUi
    PRIVATE
        managesievescriptsdialog.cpp
        debug/sievedebugdialog.cpp
        templates/sievetemplatewidget.cpp
        templates/sievedefaulttemplate.cpp
        templates/sievetemplateeditdialog.cpp
        editor/sieveeditortabwidget.h
        editor/sievetextedit.h
        editor/sievetexteditorspellcheckdecorator.h
        editor/sieveeditortextmodewidget.h
        editor/sievetexteditwidget.h
        editor/sieveinfowidget.h
        editor/sieveinfodialog.h
        editor/sieveeditor.h
        editor/sieveeditorabstractwidget.h
        editor/webengine/findbar/findbarwebengineview.h
        editor/webengine/findbar/findbarbase.h
        editor/webengine/sieveeditorloadprogressindicator.h
        editor/webengine/sieveeditorhelphtmlwidget.h
        editor/webengine/sieveeditorwebengineview.h
        editor/sieveeditorwidget.h
        editor/sieveeditorutil.h
        editor/sieveeditormenubar.h
        editor/warningwidget/sieveeditorwarning.h
        editor/warningwidget/sieveeditorparsingmissingfeaturewarning.h
        editor/sievelinenumberarea.h
        templates/sievedefaulttemplate.h
        templates/sievetemplatewidget.h
        templates/sievetemplateeditdialog.h
        scriptsparsing/parsingresultdialog.h
        ksieveui_private_export.h
        widgets/lineeditvalidator.h
        widgets/sievetreewidgetitem.h
        widgets/custommanagesievewidget.h
        widgets/moveimapfolderwidget.h
        widgets/managesievetreeview.h
        widgets/managesievewidget.h
        widgets/abstractregexpeditorlineedit.h
        widgets/abstractselectemaillineedit.h
        widgets/abstractmoveimapfolderwidget.h
        widgets/includefilelineedit.h
        vacation/vacationwarningwidget.h
        vacation/vacationmailactionwidget.h
        vacation/multiimapvacationdialog.h
        vacation/vacationmaillineedit.h
        vacation/vacationmanager.h
        vacation/vacationpagewidget.h
        vacation/vacationeditwidget.h
        autocreatescripts/sieveforeverypartwidget.h
        autocreatescripts/sievepreviewgeneratedcodewidget.h
        autocreatescripts/sievescriptdescriptiondialog.h
        autocreatescripts/sieveeditorgraphicalmodewidget.h
        autocreatescripts/sieveactionwidgetlister.h
        autocreatescripts/sievescriptlistbox.h
        autocreatescripts/sieveconditions/sieveconditionmetadata.h
        autocreatescripts/sieveconditions/sieveconditionsize.h
        autocreatescripts/sieveconditions/sieveconditionaddress.h

=== src/ksieveui/editor/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

set(libksieveui_sieveeditormenubartest_source
    sieveeditormenubartest.cpp
    sieveeditormenubartest.h
    ../sieveeditormenubar.cpp
)
add_executable(sieveeditormenubartest ${libksieveui_sieveeditormenubartest_source})
add_test(NAME sieveeditormenubartest COMMAND sieveeditormenubartest)
ecm_mark_as_test(sieveeditormenubartest)
target_link_libraries(
    sieveeditormenubartest
    KPim6KSieveUi
    KPim6::KSieve
    Qt::Test
    KF6::Completion
    KPim6::PimCommon
    KF6::I18n
)
set_property(
    TARGET
        sieveeditormenubartest
    PROPERTY
        INCLUDE_DIRECTORIES
            ${CMAKE_SOURCE_DIR}/src/ksieveui/
            ${CMAKE_SOURCE_DIR}/src/ksieveui/editor/webengine/
            ${CMAKE_SOURCE_DIR}/src/ksieveui/editor/webengine/findbar
            ${CMAKE_BINARY_DIR}/src/ksieveui/
)

set(libksieveui_sievetextedittest_source
    sievetextedittest.cpp
    sievetextedittest.h
)
add_executable(sievetextedittest ${libksieveui_sievetextedittest_source})
add_test(NAME sievetextedittest COMMAND sievetextedittest)
ecm_mark_as_test(sievetextedittest)
target_link_libraries(
    sievetextedittest
    Qt::Test
    Qt::Gui
    KPim6KSieveUi
    KPim6::PimCommon
    Qt::PrintSupport
)

set(libksieveui_sievetexteditwidgettest_source
    sievetexteditwidgettest.cpp
    sievetexteditwidgettest.h
)
add_executable(sievetexteditwidgettest ${libksieveui_sievetexteditwidgettest_source})
add_test(NAME sievetexteditwidgettest COMMAND sievetexteditwidgettest)
ecm_mark_as_test(sievetexteditwidgettest)
target_link_libraries(
    sievetexteditwidgettest
    Qt::Test
    Qt::Gui
    KPim6KSieveUi
    KPim6::PimCommon
    Qt::PrintSupport
    KF6::TextAddonsWidgets
)

set(libksieveui_sieveinfodialogtest_source
    sieveinfodialogtest.cpp
    sieveinfodialogtest.h
)
add_executable(sieveinfodialogtest ${libksieveui_sieveinfodialogtest_source})
add_test(NAME sieveinfodialogtest COMMAND sieveinfodialogtest)
ecm_mark_as_test(sieveinfodialogtest)
target_link_libraries(
    sieveinfodialogtest
    Qt::Test
    KPim6KSieveUi
)

=== src/ksieveui/widgets/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
macro(add_autocreatescriptswidget_test _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(
        ${_name}
        ${_test}
        ${_name}.h
    )
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(sievescriptdebugger-${_name})
    target_link_libraries(
        ${_name}
        KPim6KSieveUi
        Qt::Test
        KF6::I18n
    )
endmacro()

add_autocreatescriptswidget_test(lineeditvalidatortest.cpp)
add_autocreatescriptswidget_test(includefilelineedittest.cpp)
add_autocreatescriptswidget_test(moveimapfolderwidgettest.cpp)

=== src/ksieveui/editor/webengine/findbar/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
ecm_add_test(findbarbasetest.cpp findbarbasetest.h
    TEST_NAME findbarbasetest
    NAME_PREFIX "libksieveui-findbar-"
    LINK_LIBRARIES Qt::Test Qt::Widgets Qt::Gui KF6::Completion KF6::I18n KPim6::PimCommon KPim6KSieveUi
)
set_property(
    TARGET
        findbarbasetest
    PROPERTY
        INCLUDE_DIRECTORIES
            ${CMAKE_SOURCE_DIR}/src/ksieveui/editor/webengine/findbar
            ${CMAKE_BINARY_DIR}/src/ksieveui/
)

=== debian/changelog ===
libksieve (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:13:00 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkdepim-dev (>= 4:25.08.0~),
+               libkdepim-dev (>= 4:25.08.1~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6colorscheme-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
@@ -20,12 +20,12 @@
                libkf6newstuff-dev (>= 6.6.0~),
                libkf6sonnet-dev (>= 6.6.0~),
                libkf6syntaxhighlighting-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.0~),
-               libkimap-dev (>= 25.08.0~),
-               libkmailtransport-dev (>= 25.08.0~),
-               libkmime-dev (>= 25.08.0~),
+               libkidentitymanagement-dev (>= 25.08.1~),
+               libkimap-dev (>= 25.08.1~),
+               libkmailtransport-dev (>= 25.08.1~),
+               libkmime-dev (>= 25.08.1~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.08.0~),
+               libpimcommon-dev (>= 4:25.08.1~),
                libsasl2-dev,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

# Starting with a library package $*, remove the ABI and append a
# -MAJOR.MINOR suffix without the third component of the upstream version.
ABIVirtualPackage = $(shell echo $* | sed 's/abi[0-9]\+//')-$(basename $(DEB_VERSION_UPSTREAM))
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@

override_dh_makeshlibs: $(pkgs_lib:=-makeshlibs)
	dh_makeshlibs --remaining-packages
$(pkgs_lib:=-makeshlibs): %-makeshlibs:
	dh_makeshlibs -p$* '-V$* (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $(ABIVirtualPackage)'

override_dh_gencontrol: $(pkgs_lib:=-gencontrol)
	dh_gencontrol --remaining-packages
$(pkgs_lib:=-gencontrol): %-gencontrol:
	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)

override_dh_auto_test:
	- xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
	           dh_auto_test --no-parallel

## libksieve 25.08.2

=== src/ksievecore/managescriptsjob/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

macro(add_managesievejob_test _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(
        ${_name}
        ${_test}
        ${_name}.h
    )
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(managejob-${_name})
    target_link_libraries(
        ${_name}
        KPim6KSieveCore
        Qt::Test
    )
endmacro()

add_managesievejob_test( parseuserjobtest.cpp )
add_managesievejob_test( renamescriptjobtest.cpp )
add_managesievejob_test( checkscriptjobtest.cpp )

=== src/ksievecore/sieveimapinstance/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

macro(add_sieveimapinstance_test _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(
        ${_name}
        ${_test}
        ${_name}.h
    )
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(sieveimapinstancetest-${_name})
    target_link_libraries(
        ${_name}
        KPim6KSieveCore
        Qt::Test
    )
endmacro()

add_sieveimapinstance_test(sieveimapinstancetest.cpp)
add_sieveimapinstance_test(sieveimapinstanceinterfacemanagertest.cpp)

=== src/ksievecore/util/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
macro(add_sieveutil_test _source _additionalsource)
    set(_test
        ${_source}
        ${_additionalsource}
    )
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(
        ${_name}
        ${_test}
        ${_name}.h
    )
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(sievescriptdebugger-${_name})
    target_link_libraries(
        ${_name}
        KPim6KSieveCore
        Qt::Test
        KPim6::MailTransport
        KF6::I18n
    )
endmacro()

add_sieveutil_test(sieveaccounttest.cpp "")
add_sieveutil_test(findaccountinfojobtest.cpp "akonadiimapsettinginterfacetest.cpp")
add_sieveutil_test(regexpconvertertest.cpp "")

=== src/ksieveui/sievescriptdebugger/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

macro(add_sievescriptdebugger_test _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(
        ${_name}
        ${_test}
        ${_name}.h
    )
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(sievescriptdebugger-${_name})
    target_link_libraries(
        ${_name}
        KPim6KSieveUi
        Qt::Test
        KF6::Completion
        KF6::KIOWidgets
    )
    if(TARGET KF6::TextEditTextToSpeech)
        target_link_libraries(${_name} KF6::TextEditTextToSpeech)
    endif()
endmacro()

add_sievescriptdebugger_test( sievescriptdebuggerdialogtest.cpp )
add_sievescriptdebugger_test( sievescriptdebuggerwidgettest.cpp )
add_sievescriptdebugger_test( sievescriptdebuggerfrontendwidgettest.cpp )
add_sievescriptdebugger_test( sievescriptdebuggerwarningtest.cpp )

=== src/ksieveui/vacation/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2011-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

macro(add_vacation_test _source)
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(
        ${_name}
        ${_source}
        ${_name}.h
    )
    add_test(NAME vacation-${_name} COMMAND ${_name})
    ecm_mark_as_test(vacation-${_name})
    target_link_libraries(
        ${_name}
        KPim6KSieveUi
        Qt::Test
        KPim6::IdentityManagementCore
        KPim6::Mime
        KF6::I18n
        KPim6::MailTransport
        KPim6::Libkdepim
        KPim6::PimCommon
    )
endmacro()

add_vacation_test(vacationeditwidgettest.cpp)
add_vacation_test(vacationmailactionwidgettest.cpp)

=== debian/changelog ===
libksieve (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:56:42 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkdepim-dev (>= 4:25.08.1~),
+               libkdepim-dev (>= 4:25.08.2~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6colorscheme-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
@@ -20,12 +20,12 @@
                libkf6newstuff-dev (>= 6.6.0~),
                libkf6sonnet-dev (>= 6.6.0~),
                libkf6syntaxhighlighting-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.1~),
-               libkimap-dev (>= 25.08.1~),
-               libkmailtransport-dev (>= 25.08.1~),
-               libkmime-dev (>= 25.08.1~),
+               libkidentitymanagement-dev (>= 25.08.2~),
+               libkimap-dev (>= 25.08.2~),
+               libkmailtransport-dev (>= 25.08.2~),
+               libkmime-dev (>= 25.08.2~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.08.1~),
+               libpimcommon-dev (>= 4:25.08.2~),
                libsasl2-dev,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),
